Browse Source

Drop support for Python 3.6. Add support for 3.10.

master
Dan Helfman 2 weeks ago
parent
commit
8ed5467435
  1. 51
      .drone.yml
  2. 2
      NEWS
  3. 6
      test_requirements.txt
  4. 2
      tox.ini

51
.drone.yml

@ -1,54 +1,3 @@
---
kind: pipeline
name: python-3-6-alpine-3-9
services:
- name: postgresql
image: postgres:11.9-alpine
environment:
POSTGRES_PASSWORD: test
POSTGRES_DB: test
- name: mysql
image: mariadb:10.3
environment:
MYSQL_ROOT_PASSWORD: test
MYSQL_DATABASE: test
clone:
skip_verify: true
steps:
- name: build
image: alpine:3.9
pull: always
commands:
- scripts/run-full-tests
---
kind: pipeline
name: python-3-7-alpine-3-10
services:
- name: postgresql
image: postgres:11.9-alpine
environment:
POSTGRES_PASSWORD: test
POSTGRES_DB: test
- name: mysql
image: mariadb:10.3
environment:
MYSQL_ROOT_PASSWORD: test
MYSQL_DATABASE: test
clone:
skip_verify: true
steps:
- name: build
image: alpine:3.10
pull: always
commands:
- scripts/run-full-tests
---
kind: pipeline
name: python-3-8-alpine-3-13

2
NEWS

@ -3,6 +3,8 @@
* #471: When command-line configuration override produces a parse error, error cleanly instead of
tracebacking.
* #476: Fix unicode error when restoring particular MySQL databases.
* Drop support for Python 3.6, which has been end-of-lifed.
* Add support for Python 3.10.
1.5.21
* #28: Optionally retry failing backups via "retries" and "retry_wait" configuration options.

6
test_requirements.txt

@ -14,10 +14,10 @@ py==1.10.0
pycodestyle==2.6.0
pyflakes==2.2.0
jsonschema==3.2.0
pytest==6.1.2
pytest-cov==2.10.1
pytest==6.2.5
pytest-cov==3.0.0
regex; python_version >= '3.8'
requests==2.25.0
ruamel.yaml>0.15.0,<0.18.0
toml==0.10.2; python_version >= '3.8'
typed-ast==1.4.2; python_version >= '3.8'
typed-ast==1.5.1; python_version >= '3.8'

2
tox.ini

@ -1,5 +1,5 @@
[tox]
envlist = py36,py37,py38,py39
envlist = py37,py38,py39,py310
skip_missing_interpreters = True
skipsdist = True
minversion = 3.14.1

Loading…
Cancel
Save